Bug 265196 - Problems opening the file with the name \ ("The file 'file:///tmp/%5C' could not be opened: it is not a normal file, it is a folder.")
Summary: Problems opening the file with the name \ ("The file 'file:///tmp/%5C' could ...
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-02 15:45 UTC by Martin Walch
Modified: 2011-08-11 14:46 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Walch 2011-02-02 15:45:29 UTC
Version:           unspecified (using KDE 4.5.5) 
OS:                Linux

Kate is not able to open a file with the name \ (just one backslash) when passed as argument in the invocation command (e. g. from a shell "kate \\" or from within Dolphin or Konqueror "Open with"). It works fine when opening from within Kate with >File >Open

Reproducible: Always




OS: Linux (x86_64) release 2.6.37-gentoo-libre
Compiler: x86_64-pc-linux-gnu-gcc, gcc (Gentoo 4.4.5 p1.1, pie-0.4.5) 4.4.5
Comment 1 Christoph Cullmann 2011-08-11 14:46:16 UTC
Git commit 6c1bd2ff1ff409e3ce3a7ce038f0f4f2a9d2a3b7 by Christoph Cullmann.
Committed on 11/08/2011 at 16:45.
Pushed by cullmann into branch 'master'.

fix opening of files like "\"
BUG: 265196

M  +2    -2    kwrite/kwriteapp.cpp
M  +3    -3    kate/app/kateapp.cpp

http://commits.kde.org/kate/6c1bd2ff1ff409e3ce3a7ce038f0f4f2a9d2a3b7
Comment 2 Christoph Cullmann 2011-08-11 14:46:52 UTC
Git commit aef72a2aeb30eb8b20ebd90fca5793b01c5f5aba by Christoph Cullmann.
Committed on 11/08/2011 at 16:45.
Pushed by cullmann into branch 'KDE/4.7'.

fix opening of files like "\"
BUG: 265196

M  +3    -3    kwrite/kwriteapp.cpp
M  +3    -3    kate/app/kateapp.cpp

http://commits.kde.org/kate/aef72a2aeb30eb8b20ebd90fca5793b01c5f5aba